Subject: bug#58224: 29.0.50; "make bootstrap" spuriously warns: "comp.el newer than byte-compiled file"

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Oct 2022 17:50:35 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 1 Oct 2022 16:15:09 +0200
> 
> Every time I "make bootstrap", I get a ton of spurious messages (see
> below).  I believe they started showing up with Lars' much appreciated
> work on improving build speeds.  I have tripped myself up over this
> more than once, and I suspect it will confuse users too.

It's not spurious, it's because we deliberately fiddle with the time
stamps to make sure *.elc files are used instead of *.el, to make the
build faster.

(This has nothing to do with what Lars did, it's due to changes by
Alan to speedup the first stage of the bootstrap.)